<?php
/*
 * This file is part of the otkurbiz/bytedance.
 *
 * (c)
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace ByteDance\MiniProgram\Auth;

use ByteDance\MiniProgram\Encryptor;
use Pimple\Container;
use Pimple\ServiceProviderInterface;

/**
 * Class ServiceProvider.
 *
 * @author
 */
class ServiceProvider implements ServiceProviderInterface
{
    /**
     * {@inheritdoc}.
     */
    public function register(Container $app)
    {
        !isset($app['access_token']) && $app['access_token'] = function ($app) {
            return new AccessToken($app);
        };
        !isset($app['auth']) && $app['auth'] = function ($app) {
            return new Client($app);
        };

        !isset($app['encryptor']) && $app['encryptor'] = function ($app) {
            return new Encryptor();
        };
    }
}
